Bug 809995 - Login not possible
Login not possible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxdm (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 15:59 EDT by Matthias Summer
Modified: 2014-02-05 17:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:45:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Summer 2012-04-04 15:59:38 EDT
Description of problem:

When setting lang=0 in the lxdm.conf login to an openbox-session is not possible. After selecting the user and enter the password the login-screen will be reseted. Changeing back to lang=1 login works as expected.

Version-Release number of selected component (if applicable):
lxdm-0.4.1-1.fc16.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. change lang=1 to lang=0
2. select user
3. type password
4. hit return-key
5. login-sreen will be reseted
  
Actual results:
Login to an openbox-session not possible.

Expected results:
Login to an openbox-sessoion.

Additional info:
Reproducible on two systems.
Comment 1 Christoph Wickert 2012-04-05 08:31:57 EDT
Are there any login errors in /var/log/secure or /var/log/messages?

Does your password include a character that is affected by changing the keyboard layout? What does /etc/sysconfig/i18n look like?
Comment 2 Matthias Summer 2012-04-05 13:01:51 EDT
There are no errors in secure or messages. My password includes only numbers and lowercase letters.

These are the logs while trying to log in:

/var/log/messages

Apr  5 18:55:15 gondor systemd-logind[1152]: New session 10 of user mad.
Apr  5 18:55:15 gondor systemd-logind[1152]: Linked /tmp/.X11-unix/X0 to /run/user/mad/X11-display.
Apr  5 18:55:15 gondor systemd-logind[1152]: Removed session 10.
Apr  5 18:55:23 gondor dbus-daemon[1197]: ** Message: No devices in use, exit

/var/log/secure

Apr  5 18:57:00 gondor lxdm-binary: pam_unix(lxdm:session): session opened for user mad by (uid=0)
Apr  5 18:57:00 gondor lxdm-binary: pam_unix(lxdm:session): session closed for user mad

/var/log/lxdm.log

** (process:1531): DEBUG: user mad auth ok
** (process:1531): DEBUG: login user mad session startlxde lang (null)
** Message: find greeter (nil)
** Message: find idle 0xe52230
** Message: add 0xe52230
** Message: prepare greeter on :0
** Message: start greeter on :0
kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]
** Message: greeter 0 session 0xe52230
** Message: user 0 session 0xe52230 cmd USER_LIST


cat /etc/sysconfig/i18n 

LANG="en_US.UTF-8"
SYSFONT="latarcyrheb-sun16"
Comment 3 Christoph Wickert 2012-04-06 04:13:57 EDT
So you are using an english keyboard all the way and not changing this? If you enable the keymap selector, what language does it display?
Comment 4 Matthias Summer 2012-04-06 05:59:44 EDT
No, I'm using a german keyboard (German latin1 w/no deathkeys). The cmdline is

BOOT_IMAGE=/vmlinuz-3.3.0-8.fc16.x86_64 root=/dev/mapper/vg_gondor-LogVol00_root ro SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=de-latin1-nodeadkeys

When I enable the keymap selector it is empty. For a test I set my password to aaa - this should be the same on a german and an english keyboard. Login was not possible. Login at a tty works perfekt.
Comment 5 Christoph Wickert 2012-06-05 04:34:26 EDT
Can you please post the content of /etc/sysconfig/keyboard, too?
Comment 6 Matthias Summer 2012-06-05 14:18:34 EDT
cat /etc/sysconfig/keyboard
KEYTABLE="de-latin1-nodeadkeys"
MODEL="pc105"
LAYOUT="de"
VARIANT="nodeadkeys"
Comment 7 Matthias Summer 2013-01-16 16:06:14 EST
Same behavior in fedora 18.
Comment 8 Fedora End Of Life 2013-01-16 17:31:20 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-12-21 10:01:32 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 17:45:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.